%define perl_major_ver %(eval `perl -V:version`; echo ${version%*.[0-9]*}.0)

Name:          perl-Test-Differences
Epoch:         1
Version:       0.70
Release:       1mamba
Summary:       Test::Differences - Test strings and data structures and show differences if not ok
Group:         System/Libraries/Perl
Vendor:        openmamba
Distribution:  openmamba
Packager:      Automatic Build System <autodist@mambasoft.it>
URL:           https://www.cpan.org
Source:        https://cpan.metacpan.org/modules/by-module/Test/Test-Differences-%{version}.tar.gz
License:       GPL, Artistic
BuildRequires: perl(Text::Diff)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Pod)
BuildRequires: perl(Test::Pod::Coverage)
BuildRequires: perl-devel
Requires:      perl(Text::Diff)
Requires:      perl >= %perl_major_ver

%description
When the code you're testing returns multiple lines, records or data structures and
they're just plain wrong, an equivalent to the Unix diff utility may be just what's needed.

%prep
%setup -q -n Test-Differences-%{version}

%build
perl Makefile.PL PREFIX=%{_prefix} INSTALLDIRS=vendor
%make
%make test

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall_perl

find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w %{buildroot}/*

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{perl_vendorlib}/Test/
%{_mandir}/man3/*.3pm.gz
%doc Changes

%changelog
* Sun Jul 09 2023 Automatic Build System <autodist@mambasoft.it> 0.70-1mamba
- automatic version update by autodist

* Sat Jan 08 2022 Automatic Build System <autodist@mambasoft.it> 0.69-1mamba
- automatic version update by autodist

* Wed May 19 2021 Automatic Build System <autodist@mambasoft.it> 0.68-1mamba
- automatic version update by autodist

* Wed Feb 24 2021 Automatic Build System <autodist@mambasoft.it> 0.67-1mamba
- automatic version update by autodist

* Sun Apr 28 2013 Automatic Build System <autodist@mambasoft.it> 0.61-1mamba
- update to 0.61

* Sun Jul 24 2011 Automatic Build System <autodist@mambasoft.it> 0.4801-1mamba
- automatic version update by autodist

* Thu Feb 17 2011 gil <puntogil@libero.it> 0.500-1mamba
- package created by autospec
